> ## Documentation Index
> Fetch the complete documentation index at: https://cobo.com/developers/llms.txt
> Use this file to discover all available pages before exploring further.

# Check Fee Station usage

> This operation evaluates Fee Station usage for the current transaction. 

It determines whether Fee station can be used, checks if the Fee Station balance is sufficient, and returns a breakdown of the amounts involved, including any portion that must be covered by the user or sponsored in USD stablecoin.


<Tip>
  Try [Cobo WaaS Skill](/v2/guides/overview/cobo-waas-skill) in your AI coding assistant (Claude Code, Cursor, etc.). Describe your needs in natural language to auto-generate production-ready SDK code and debug faster 🚀
</Tip>

<RequestExample>
  ```python Python theme={null}
  import cobo_waas2
  from cobo_waas2.models.fee_station_check_fee_station_usage import (
      FeeStationCheckFeeStationUsage,
  )
  from cobo_waas2.models.fee_station_check_fee_station_usage_response import (
      FeeStationCheckFeeStationUsageResponse,
  )
  from cobo_waas2.rest import ApiException
  from pprint import pprint

  # See configuration.py for a list of all supported configurations.
  configuration = cobo_waas2.Configuration(
      # Replace `<YOUR_PRIVATE_KEY>` with your private key
      api_private_key="<YOUR_PRIVATE_KEY>",
      # Select the development environment. To use the production environment, change the URL to https://api.cobo.com/v2.
      host="https://api.dev.cobo.com/v2",
  )
  # Enter a context with an instance of the API client
  with cobo_waas2.ApiClient(configuration) as api_client:
      # Create an instance of the API class
      api_instance = cobo_waas2.FeeStationApi(api_client)
      fee_station_check_fee_station_usage = cobo_waas2.FeeStationCheckFeeStationUsage(
          request_id="f47ac10b-58cc-4372-a567-0e02b2c3d479",
          amount="100.5",
          token_id="ETH_USDT",
          estimated_fee_amount="0.0021",
          from_address="0x1234567890abcdef1234567890abcdef12345678",
          from_wallet_id="f47ac10b-58cc-4372-a567-0e02b2c3d479"
      )

      try:
          # Check Fee Station usage
          api_response = api_instance.check_fee_station_usage(
              fee_station_check_fee_station_usage=fee_station_check_fee_station_usage
          )
          print("The response of FeeStationApi->check_fee_station_usage:\n")
          pprint(api_response)
      except Exception as e:
          print("Exception when calling FeeStationApi->check_fee_station_usage: %s\n" % e)

  ```

  ```java Java theme={null}
  // Import classes:
  import com.cobo.waas2.ApiClient;
  import com.cobo.waas2.ApiException;
  import com.cobo.waas2.Configuration;
  import com.cobo.waas2.Env;
  import com.cobo.waas2.api.FeeStationApi;
  import com.cobo.waas2.model.*;

  public class Example {
    public static void main(String[] args) {
      ApiClient defaultClient = Configuration.getDefaultApiClient();
      // Select the development environment. To use the production environment, replace `Env.DEV` with
      // `Env.PROD
      defaultClient.setEnv(Env.DEV);

      // Replace `<YOUR_PRIVATE_KEY>` with your private key
      defaultClient.setPrivKey("<YOUR_PRIVATE_KEY>");
      FeeStationApi apiInstance = new FeeStationApi();
      FeeStationCheckFeeStationUsage feeStationCheckFeeStationUsage =
          new FeeStationCheckFeeStationUsage();
      try {
        FeeStationCheckFeeStationUsageResponse result =
            apiInstance.checkFeeStationUsage(feeStationCheckFeeStationUsage);
        System.out.println(result);
      } catch (ApiException e) {
        System.err.println("Exception when calling FeeStationApi#checkFeeStationUsage");
        System.err.println("Status code: " + e.getCode());
        System.err.println("Reason: " + e.getResponseBody());
        System.err.println("Response headers: " + e.getResponseHeaders());
        e.printStackTrace();
      }
    }
  }

  ```

  ```go Go theme={null}
  package main

  import (
  	"context"
  	"fmt"
  	coboWaas2 "github.com/CoboGlobal/cobo-waas2-go-sdk/cobo_waas2"
  	"github.com/CoboGlobal/cobo-waas2-go-sdk/cobo_waas2/crypto"
  	"os"
  )

  func main() {
  	feeStationCheckFeeStationUsage := *coboWaas2.NewFeeStationCheckFeeStationUsage("f47ac10b-58cc-4372-a567-0e02b2c3d479", "100.5", "ETH_USDT", "0.0021", "0x1234567890abcdef1234567890abcdef12345678", "f47ac10b-58cc-4372-a567-0e02b2c3d479")

  	configuration := coboWaas2.NewConfiguration()
  	// Initialize the API client
  	apiClient := coboWaas2.NewAPIClient(configuration)
  	ctx := context.Background()

  	// Select the development environment. To use the production environment, replace coboWaas2.DevEnv with coboWaas2.ProdEnv
  	ctx = context.WithValue(ctx, coboWaas2.ContextEnv, coboWaas2.DevEnv)
  	// Replace `<YOUR_PRIVATE_KEY>` with your private key
  	ctx = context.WithValue(ctx, coboWaas2.ContextPortalSigner, crypto.Ed25519Signer{
  		Secret: "<YOUR_PRIVATE_KEY>",
  	})
  	resp, r, err := apiClient.FeeStationAPI.CheckFeeStationUsage(ctx).
  		FeeStationCheckFeeStationUsage(feeStationCheckFeeStationUsage).
  		Execute()
  	if err != nil {
  		fmt.Fprintf(
  			os.Stderr,
  			"Error when calling `FeeStationAPI.CheckFeeStationUsage``: %v\n",
  			err,
  		)
  		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
  	}
  	// response from `CheckFeeStationUsage`: FeeStationCheckFeeStationUsageResponse
  	fmt.Fprintf(os.Stdout, "Response from `FeeStationAPI.CheckFeeStationUsage`: %v\n", resp)
  }

  ```

  ```javascript JavaScript theme={null}
  const CoboWaas2 = require("@cobo/cobo-waas2");
  // Initialize the API client
  const apiClient = CoboWaas2.ApiClient.instance;
  // Select the development environment. To use the production environment, replace `Env.DEV` with `Env.PROD`
  apiClient.setEnv(CoboWaas2.Env.DEV);
  // Replace `<YOUR_PRIVATE_KEY>` with your private key
  apiClient.setPrivateKey("<YOUR_PRIVATE_KEY>");
  // Call the API
  const apiInstance = new CoboWaas2.FeeStationApi();
  const opts = {
    FeeStationCheckFeeStationUsage:
      new CoboWaas2.FeeStationCheckFeeStationUsage(),
  };
  apiInstance.checkFeeStationUsage(opts).then(
    (data) => {
      console.log("API called successfully. Returned data: " + data);
    },
    (error) => {
      console.error(error);
    },
  );

  ```
</RequestExample>


## OpenAPI

````yaml post /fee_station/check_fee_station_usage
openapi: 3.0.3
info:
  title: Cobo Wallet as a Service 2.0
  description: >
    The Cobo Wallet-as-a-Service (WaaS) 2.0 API is the latest version of Cobo's
    WaaS API offering. It enables you to access Cobo's full suite of crypto
    wallet technologies with powerful and flexible access controls. By
    encapsulating complex security protocols and streamlining blockchain
    interactions, this API allows you to concentrate on your core business
    activities without worrying about the safety of your assets. The WaaS 2.0
    API presents the following key features:


    - A unified API for Cobo's [all four wallet
    types](https://manuals.cobo.com/en/portal/introduction#an-all-in-one-wallet-platform)

    - Support for 80+ chains and 3000+ tokens

    - A comprehensive selection of webhook events

    - Flexible usage models for MPC Wallets, including [Organization-Controlled
    Wallets](https://manuals.cobo.com/en/portal/mpc-wallets/ocw/introduction)
    and [User-Controlled
    Wallets](https://manuals.cobo.com/en/portal/mpc-wallets/ucw/introduction)

    - Programmatic control of smart contract wallets such as Safe{Wallet} with
    fine-grained access controls

    - Seamlessly transfer funds across multiple exchanges, including Binance,
    OKX, Bybit, Deribit, and more


    For more information about the WaaS 2.0 API, see [Introduction to WaaS
    2.0](https://www.cobo.com/developers/v2/guides/overview/introduction).
  termsOfService: https://cobo.com/waas/tos/
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  contact:
    name: Cobo WaaS
    url: https://www.cobo.com/waas
    email: help@cobo.com
  version: 1.0.0
servers:
  - url: https://api.dev.cobo.com/v2
    description: Development environment
  - url: https://api.cobo.com/v2
    description: Production environment
security:
  - CoboAuth: []
tags:
  - name: Organizations
    description: Operations related to Organizations.
  - name: Wallets
    description: Operations related to all wallets.
  - name: Wallets - MPC Wallets
    description: Operations related to mpc wallet.
  - name: Wallets - Exchange Wallet
    description: Operations related to exchange wallet.
  - name: Wallets - Smart Contract Wallets
    description: Operations related to smart contract wallet.
  - name: Transactions
    description: Operations related to all transactions.
  - name: Developers - Webhooks
    description: Operations related to webhooks.
  - name: Stakings
    description: Operations related to staking.
  - name: OAuth
    description: Operations related to OAuth.
  - name: Developers
    description: Operations related to developers.
  - name: AddressBooks
    description: Operations related to address books.
  - name: TravelRule
    description: Operations related to travel rule.
  - name: GraphQL
    description: Operations related to executing GraphQL queries and mutations.
  - name: PrimeBroker
    description: Operations related to prime broker.
  - name: AppWorkflows
    description: Operations related to app workflow.
  - name: FeeStation
    description: Operations related to fee station.
  - name: Payment
    description: Operations related to payment.
  - name: Batch Payouts
    description: Operations related to batch payouts.
  - name: Tokenization
    description: Operations related to tokenization.
  - name: AutoSweep
    description: Operations related to auto sweep.
  - name: Compliance
    description: Operations related to compliance.
paths:
  /fee_station/check_fee_station_usage:
    post:
      tags:
        - FeeStation
      summary: Check Fee Station usage
      description: >
        This operation evaluates Fee Station usage for the current transaction. 


        It determines whether Fee station can be used, checks if the Fee Station
        balance is sufficient, and returns a breakdown of the amounts involved,
        including any portion that must be covered by the user or sponsored in
        USD stablecoin.
      operationId: check_fee_station_usage
      requestBody:
        description: The request body for evaluating Fee Station usage.
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FeeStationCheckFeeStationUsage'
      responses:
        '201':
          description: The request was successful.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FeeStationCheckFeeStationUsageResponse'
        4XX:
          $ref: '#/components/responses/badRequestError'
        5XX:
          $ref: '#/components/responses/internalServerError'
      security:
        - CoboAuth: []
        - OAuth2:
            - transaction.estimate_fee
components:
  schemas:
    FeeStationCheckFeeStationUsage:
      type: object
      description: The information for evaluating Fee Station usage.
      required:
        - request_id
        - estimated_fee_amount
        - from_address
        - from_wallet_id
      properties:
        request_id:
          type: string
          description: >-
            The request ID that is used to track a transaction request. The
            request ID is provided by you and must be unique within your
            organization.
          example: f47ac10b-58cc-4372-a567-0e02b2c3d479
        amount:
          type: string
          description: >-
            Applicable to transfer requests only. The amount of tokens to be
            transferred in this request.
          example: '100.5'
        token_id:
          type: string
          description: >
            Applicable to transfer requests only. The token ID of the asset to
            be transferred.   You can retrieve available token IDs by calling  
            [List enabled
            tokens](https://www.cobo.com/developers/v2/api-references/wallets/list-enabled-tokens).
          example: ETH_USDT
        fee_token_id:
          type: string
          description: >-
            The token ID used to pay the gas fee for the main transaction. You
            can retrieve available token IDs by calling [List enabled
            tokens](https://www.cobo.com/developers/v2/api-references/wallets/list-enabled-tokens).
          example: ETH
        estimated_fee_amount:
          type: string
          description: >-
            The estimated transaction fee required for this transfer, before
            applying any Fee Station rules.
          example: '0.0021'
        from_address:
          type: string
          description: The blockchain address that initiates the transfer.
          example: '0x1234567890abcdef1234567890abcdef12345678'
        from_wallet_id:
          type: string
          format: uuid
          example: f47ac10b-58cc-4372-a567-0e02b2c3d479
          description: The wallet ID.
        auto_fuel:
          $ref: '#/components/schemas/AutoFuelType'
    FeeStationCheckFeeStationUsageResponse:
      type: object
      description: The fee station evaluation result for the transfer request.
      required:
        - token_id
        - gas_station_type
        - is_fee_station_applicable
        - is_balance_sufficient
        - balance
        - total_fee_amount
        - is_sponsor_applicable
        - sponsored_fee_amount
      properties:
        token_id:
          type: string
          description: >-
            The token used to pay the gas fee for this specific transaction. You
            can retrieve the IDs of all supported tokens by calling [List
            enabled
            tokens](https://www.cobo.com/developers/v2/api-references/wallets/list-enabled-tokens).
          example: ETH
        balance:
          type: string
          description: The current token balance available in Fee Station.
          example: '0.0021'
        gas_station_type:
          $ref: '#/components/schemas/FeeStationGasStationType'
        is_fee_station_applicable:
          type: boolean
          description: Indicates whether Fee Station is applied for this transfer request.
          example: true
        is_balance_sufficient:
          type: boolean
          description: >-
            If Fee Station is used, indicates whether its balance is sufficient
            to cover the required gas fee.
          example: false
        total_fee_amount:
          type: string
          description: The total gas amount required for this transfer request.
          example: '0.0021'
        is_sponsor_applicable:
          type: boolean
          description: >-
            Indicates whether USD stablecoin sponsorship is applied when the Fee
            Station balance is insufficient.
          example: true
        sponsored_fee_amount:
          type: string
          description: The amount of gas fee sponsored by USD stablecoin when applicable.
          example: '0.0021'
        sponsored_token_id:
          type: string
          description: The token ID used to sponsor the gas fee.
          example: ETH_USDT
    AutoFuelType:
      type: string
      enum:
        - PassiveAutoFuel
        - ProActiveAutoFuel
        - UsePortalPreference
        - DisableAutoFuel
      example: PassiveAutoFuel
      description: >
        The mode of transaction fee payment using Fee Station. Currently, Fee
        Station supports transactions made with MPC Wallets on EVM-compatible
        chains, TRON, and Solana.

        For more details, refer to [Fee
        Station](https://manuals.cobo.com/en/portal/fee-station/introduction).


        - `ProActiveAutoFuel`: Always use Fee Station to pay transaction fees.  

        - `PassiveAutoFuel`: Use Fee Station only when the source address
        balance is insufficient to cover transaction fees.  

        - `UsePortalPreference`: Use fueling strategy based on the Portal
        configuration.  

        - `DisableAutoFuel`: Do not use Fee Station for transaction fee payment
        under any circumstances.  


        If this parameter is **not specified**, it defaults to the behavior of
        `UsePortalPreference`.


        **Note**: TRON and Solana does not support `PassiveAutoFuel` due to its
        fee delegation mechanism.
    FeeStationGasStationType:
      type: string
      enum:
        - FeeStation
        - CoboOperationStation
      example: CoboOperationStation
      description: >
        The Fee Station mode used for automatic gas payment:

        - `FeeStation`: The user uses their own Fee Station balance to cover the
        gas fee. 

        - `CoboOperationStation`: Cobo covers the gas fee on behalf of the user.
    ErrorResponse:
      type: object
      description: The response of a failed request.
      required:
        - error_code
        - error_message
        - error_id
      properties:
        error_code:
          type: integer
          description: >-
            The error code. Refer to [Error codes and status
            codes](https://www.cobo.com/developers/v2/api-references/error-codes)
            for more details.
        error_message:
          type: string
          description: The error description.
        error_id:
          type: string
          description: >-
            The error log ID. You can provide the error ID when submitting a
            ticket to help Cobo to locate the issue.
          example: 0b6ddf19083c4bd1a9ca01bec44b24dd
  responses:
    badRequestError:
      description: >-
        Bad request. Your request contains malformed syntax or invalid
        parameters.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    internalServerError:
      description: Internal server error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  securitySchemes:
    CoboAuth:
      type: apiKey
      in: header
      name: BIZ-API-KEY
      description: >
        The API key. For more details, refer to [API
        key](https://www.cobo.com/developers/v2/guides/overview/cobo-auth#api-key).


        In the API playground, enter your [API
        secret](https://www.cobo.com/developers/v2/guides/overview/cobo-auth#api-secret),
        and your API key will be accordingly calculated.
    OAuth2:
      type: oauth2
      description: >-
        The [Org Access
        Token](https://www.cobo.com/developers/v2/apps/org-access-tokens). Use
        this authorization method only if you are developing Cobo Portal Apps
        for installation and use across different organizations.
      flows:
        authorizationCode:
          authorizationUrl: https://auth.cobo.com/authorize
          tokenUrl: https://auth.cobo.com/oauth/token
          scopes:
            address_book.read: Read address book
            api_key.read: Read API key information
            callback.read: Read callback message
            callback.resend: Resend callback message
            wallet.create: Create wallet
            wallet.read: Read wallet information
            wallet.update: Update wallet information
            wallet.delete: Delete wallet information
            wallet.create_address: Create wallet address
            wallet.manage_utxo: Manage UTXO
            mpc_project.create: Create MPC project
            mpc_project.read: Read MPC project information
            mpc_project.update: Update MPC project information
            mpc_vault.create: Create MPC Vault
            mpc_vault.read: Read MPC Vault information
            mpc_vault.update: Update MPC Vault information
            mpc_key_group.create: Create MPC key group
            mpc_key_group.read: Read MPC key group information
            mpc_key_group.update: Update MPC key group information
            mpc_key_group.delete: Delete MPC key group information
            transaction.read: Read transaction information
            transaction.withdraw: Make withdrawals
            transaction.estimate_fee: Estimate transaction fee
            transaction.contract_call: Initiate contract calls
            transaction.message_sign: Initiate message signings
            transaction.stake: Stake assets
            transaction.unstake: Unstake assets
            transaction.unstake_withdraw: Withdraw unstaked assets
            transaction.manage: Manage ongoing transactions
            transaction.update: Update transaction notes
            travel_rule.read: Read travel rule information
            travel_rule.edit: Edit travel rule information
            webhook.read: Read webhook URLs/events
            webhook.edit: Edit webhook URLs
            webhook.resend: Resend webhook events
            payment_orders_payin.create: Create pay-in order
            payment_orders_payin.read: Read pay-in order information
            payment_orders_payin.update: Update pay-in order
            payment_orders_refund.create: Create payment refund order
            payment_orders_refund.read: Read payment refund order information
            payment_settlement.create: Create payment settlement request
            payment_settlement.read: Read payment settlement request information
            payment_merchant.create: Create payment merchant
            payment_merchant.read: Read payment merchant information
            payment_merchant.update: Update payment merchant
            payment_forced_sweep.create: Create payment force sweep request
            payment_forced_sweep.read: Read payment force sweep request information
            compliance_funds.refund: Refund compliance funds request
            compliance_funds.isolate: Isolate compliance funds request
            compliance_funds.unfreeze: Unfreeze compliance funds request
            compliance_funds.read: Read compliance funds request information
            compliance_kyt_review.update: Update KYT review status
            compliance_kyt_decisions.update: Update KYT decision status
            compliance_kyt_status.read: Read KYT screening status
            compliance_kya_screenings.create: Create KYA address screening requests
            compliance_kya_screenings.read: Read KYA address screening results

````